Package com.google.android.exoplayer2.testutil

## Class DataSourceContractTest.TestResource

- java.lang.Object
- - com.google.android.exoplayer2.testutil.DataSourceContractTest.TestResource

- Enclosing class:
    DataSourceContractTest

      public static final class DataSourceContractTest.TestResource
      extends Object

  Information about a resource that can be used to test the `DataSource` instance.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DataSourceContractTest.TestResource.Builder` | Builder for `DataSourceContractTest.TestResource` instances.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getExpectedBytes()` | Returns the expected contents of this resource.
    `String` | `getName()` | Returns a human-readable name for the resource, for use in test failure messages.
    `Uri` | `getUri()` | Returns the URI where the resource is available.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          @Nullable
          public String getName()

      Returns a human-readable name for the resource, for use in test failure messages.

    - #### getUri

          public Uri getUri()

      Returns the URI where the resource is available.

    - #### getExpectedBytes

          public byte[] getExpectedBytes()

      Returns the expected contents of this resource.